Bug 1805756 - Review Request: ndiscover-exo-2-fonts - A contemporary geometric sans serif font family
Summary: Review Request: ndiscover-exo-2-fonts - A contemporary geometric sans serif f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 13:46 UTC by Nicolas Mailhot
Modified: 2020-03-31 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:16:15 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 13:46:58 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240852-ndiscover-exo-2-fonts/ndiscover-exo-2-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240852-ndiscover-exo-2-fonts/ndiscover-exo-2-fonts-1.100-1.20200111git55728cf.fc33.src.rpm

Description:
Exo 2 is a complete redrawing of Exo, a contemporary geometric sans serif
font family that tries to convey a technological/futuristic feeling while keeping
an elegant design. Exo is a very versatile font, so it has 9 weights (the
maximum on the web) and each with a true italic version. Exo 2 has a more
organic look that will perform much better at small text sizes and in long
texts.

Fedora Account System Username: nim


One of the top font families on Google fonts.

The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 2 Parag AN(पराग) 2020-03-15 09:58:53 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: ndiscover-exo-2-fonts-1.100-2.20200111git55728cf.fc33.noarch.rpm
          ndiscover-exo-2-fonts-1.100-2.20200111git55728cf.fc33.src.rpm
ndiscover-exo-2-fonts.noarch: W: incoherent-version-in-changelog 1.100-2 ['1.100-2.20200111git55728cf.fc33', '1.100-2.20200111git55728cf']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Source checksums
----------------
https://github.com/NDISCOVER/Exo-2.0/archive/55728cfe5c9f0c121428467019f880fb6709f8d8/Exo-2.0-55728cfe5c9f0c121428467019f880fb6709f8d8.tar.gz :
  CHECKSUM(SHA256) this package     : e03063610e725ad6ecfa47ce5650900d0347f85bd29b90405a20132149367e94
  CHECKSUM(SHA256) upstream package : e03063610e725ad6ecfa47ce5650900d0347f85bd29b90405a20132149367e94


Requires
--------
ndiscover-exo-2-fonts (rpmlib, GLIBC filtered):
    config(ndiscover-exo-2-fonts)
    fontpackages-filesystem



Provides
--------
ndiscover-exo-2-fonts:
    config(ndiscover-exo-2-fonts)
    font(exo2)
    font(exo2black)
    font(exo2extrabold)
    font(exo2extralight)
    font(exo2light)
    font(exo2medium)
    font(exo2semibold)
    font(exo2thin)
    metainfo()
    metainfo(org.fedoraproject.ndiscover-exo-2-fonts.metainfo.xml)
    ndiscover-exo-2-fonts



Issues:
1) Fix the Changelog rpmlint warning before package import.

APPROVED.

Comment 3 Gwyn Ciesla 2020-03-16 13:37:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ndiscover-exo-2-fonts

Comment 4 Fedora Update System 2020-03-16 17:16:00 UTC
FEDORA-2020-ae367b5543 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ae367b5543

Comment 5 Fedora Update System 2020-03-16 17:16:04 UTC
FEDORA-2020-2fc3ad0573 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2fc3ad0573

Comment 6 Fedora Update System 2020-03-17 01:46:01 UTC
ndiscover-exo-2-fonts-1.100-2.20200316git55728cf.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ae367b5543

Comment 7 Fedora Update System 2020-03-17 02:49:05 UTC
ndiscover-exo-2-fonts-1.100-2.20200316git55728cf.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2fc3ad0573

Comment 8 Fedora Update System 2020-03-31 00:16:15 UTC
FEDORA-2020-2fc3ad0573 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.